# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- Circumcirclesector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Hyperbola
- Image
- Incenter
- Incircle
- Integral
- Intersection
- Line
- Locus
- Midpoint
- Mirrorpoint
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- Perpendicularpoint
- Point
- Polygon
- Reflection
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Tangent
- Text
- Ticks
- Tracecurve

## Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.Curve
- JXG.Dump
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Turtle
- JXG.Util
- JXG.VMLRenderer

# Namespace JXG.Math.Symbolic

↳ JXG.Math.Symbolic

Defined in: MathSymbolic.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.Math.Symbolic The JXG.Math.Symbolic namespace holds algorithms for symbolic computations.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | JXG.Math.Symbolic.clearSymbolicCoordinates(board) Clears all .symbolic.x and .symbolic.y members on every point of a given board.
<static> | JXG.Math.Symbolic.generatePolynomials(board, element, generateCoords) Generates polynomials for a part of the construction including all the points from that a specific element depends of.
<static> | JXG.Math.Symbolic.generateSymbolicCoordinatesPartial(board, element, variable, append) Generates symbolic coordinates for the part of a construction including all the elements from that a specific element depends of.
<static> | JXG.Math.Symbolic.geometricLocusByGroebnerBase(board, point) Calculate geometric locus of a point given on a board.

Namespace Detail
JXG.Math.Symbolic
The JXG.Math.Symbolic namespace holds algorithms for symbolic computations.
Method Detail
<static> JXG.Math.Symbolic.clearSymbolicCoordinates(board)
Clears all .symbolic.x and .symbolic.y members on every point of a given board.

Parameters:
{JXG.Board} board
  The board that's points get cleared their symbolic coordinates.

<static> {Array} JXG.Math.Symbolic.generatePolynomials(board, element, generateCoords)
Generates polynomials for a part of the construction including all the points from that a specific element depends of.

Parameters:
{JXG.Board} board
  The board that's points polynomials will be generated.
{JXG.GeometryElement} element
  All points in the set of ancestors of this element are used to generate the set of polynomials.
generateCoords

Returns:
  {Array} An array of polynomials as strings.

<static> {Number} JXG.Math.Symbolic.generateSymbolicCoordinatesPartial(board, element, variable, append)
Generates symbolic coordinates for the part of a construction including all the elements from that a specific element depends of. These coordinates will be stored in GeometryElement.symbolic.

Parameters:
{JXG.Board} board
  The board that's element get some symbolic coordinates.
{JXG.GeometryElement} element
  All ancestor of this element get symbolic coordinates.
{String} variable
  Name for the coordinates, e.g. x or u.
{String} append
  Method for how to append the number of the coordinates. Possible values are 'underscore' (e.g. x_2), 'none' (e.g. x2), 'brace' (e.g. x[2]).

Returns:
  {Number} Number of coordinates given.

<static> {Array} JXG.Math.Symbolic.geometricLocusByGroebnerBase(board, point)
Calculate geometric locus of a point given on a board. Invokes python script on server.

Parameters:
{JXG.Board} board
  The board on which the point lies.
{JXG.Point} point
  The point that will be traced.

Returns:
  {Array} An array of points.

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Apr 02 2012 17:54:09 GMT+0200 (MESZ)